﻿Type=Service
Version=7.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public IsActivityWorks As Boolean
	Public IsServiceWorks As Boolean
	Public bitmapInstance As Bitmap
	Public timerInstance As Timer
	Public IsAfterActivity As Boolean = False
	
	Private y        As Int
	Private intColor As Int
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	timerInstance.Initialize ("timerInstance", 100)
	timerInstance.Enabled = True
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

Sub timerInstance_Tick
	If IsServiceWorks Then ' Service receives a control
		
		Dim canvasPanel As Canvas
		canvasPanel.Initialize2 (bitmapInstance)
		
		If IsAfterActivity Then
			IsAfterActivity = False
			LogColor("Service - Set random color", Colors.Cyan)
			intColor = Colors.RGB (Rnd (0, 255), Rnd (0, 255), Rnd (0, 255)) ' Change random color			
		Else
			LogColor("Service - Increase y", Colors.Blue)
			y = y + 1'dip			
		End If
				
		If y >= bitmapInstance.Height Then y = 0
		
		LogColor("DrawLine on mutable bitmap: y = " & y, Colors.Red)
		canvasPanel.DrawLine (0, y, bitmapInstance.Width, y, intColor, 1)		
	End If	
End Sub


